function Xs = lhsu(m, N, lb, ub)
% Xs = lhsu(m, N, lb, ub)
%
%   Latin Hypercube Sampling from a uniform distribution
%
% Input:
%   lb                       - minimum of data
%   ub                       - maximum of data
%   nsample                  - number of samples
%
% Output:
%   Xs                       - random sample
%
% Author: Johannes W. Kruisselbrink
% Last modified: September 14, 2009

	r = rand(m,N);
	Xs = zeros(m,N);

	for j = 1:N
		idx = randperm(m);
		P = (idx' - r(:,j)) / m;
		Xs(:,j) = lb(j) + P .* (ub(j) - lb(j));
	end

end