function [] = plot_test_functions()
	m = 200;

	plot_sphere(m);
	plot_kruisselbrink_tp1(m);
	plot_kruisselbrink_tp2(m);
	plot_rotated_sphere(m);
	plot_rotated_kruisselbrink_tp1(m);
	plot_rotated_kruisselbrink_tp2(m);

	%griewank_M_D2
	%weierstrass_M_D2
	%rastrigin_M_D2
	%E_ScafferF6_M_D2
	%elliptic_M_D2
end

function [] = plot_sphere(m)
	% --------------------------------------------------------
	% Sphere Function experiments
	% --------------------------------------------------------
	fitnessfct = @sphere;
	lb = -10 * ones(2,1);
	ub = 10 * ones(2,1);
	delta = .5 * ones(2,1);
	plot_func(fitnessfct, 2, lb, ub, (ub - lb) ./ 40);
	saveas(gcf, 'sphere.png', 'png')
	saveas(gcf, 'sphere.eps', 'eps')
	saveas(gcf, 'sphere.fig', 'fig')
	apr_func = @(X) approx_f_eff(X, fitnessfct, @lhsu, delta, m);
	plot_func(apr_func, 2, lb, ub, (ub - lb) ./ 40);
	saveas(gcf, 'sphere_f_eff.png', 'png')
	saveas(gcf, 'sphere_f_eff.eps', 'eps')
	saveas(gcf, 'sphere_f_eff.fig', 'fig')
end

function [] = plot_rotated_sphere(m)
	% --------------------------------------------------------
	% Rotated Sphere Function experiments
	% --------------------------------------------------------
	fitnessfct = @rotated_sphere;
	lb = -10 * ones(2,1);
	ub = 10 * ones(2,1);
	delta = .5 * ones(2,1);
	plot_func(fitnessfct, 2, lb, ub, (ub - lb) ./ 40);
	saveas(gcf, 'rotated_sphere.png', 'png')
	saveas(gcf, 'rotated_sphere.eps', 'eps')
	saveas(gcf, 'rotated_sphere.fig', 'fig')
	apr_func = @(X) approx_f_eff(X, fitnessfct, @lhsu, delta, m);
	plot_func(apr_func, 2, lb, ub, (ub - lb) ./ 40);
	saveas(gcf, 'rotated_sphere_f_eff.png', 'png')
	saveas(gcf, 'rotated_sphere_f_eff.eps', 'eps')
	saveas(gcf, 'rotated_sphere_f_eff.fig', 'fig')
end

function [] = plot_kruisselbrink_tp1(m)
	% --------------------------------------------------------
	% Kruisselbrink TP1 Function experiments
	% --------------------------------------------------------
	fitnessfct = @kruisselbrink_tp1;
	lb = -10 * ones(2,1);
	ub = 10 * ones(2,1);
	delta = 2 * ones(2,1);
	plot_func(fitnessfct, 2, lb, ub, (ub - lb) ./ 40);
	saveas(gcf, 'kruisselbrink_tp1.png', 'png')
	saveas(gcf, 'kruisselbrink_tp1.eps', 'eps')
	saveas(gcf, 'kruisselbrink_tp1.fig', 'fig')
	apr_func = @(X) approx_f_eff(X, fitnessfct, @lhsu, delta, m);
	plot_func(apr_func, 2, lb, ub, (ub - lb) ./ 40);
	saveas(gcf, 'kruisselbrink_tp1_f_eff.png', 'png')
	saveas(gcf, 'kruisselbrink_tp1_f_eff.eps', 'eps')
	saveas(gcf, 'kruisselbrink_tp1_f_eff.fig', 'fig')
end

function [] = plot_rotated_kruisselbrink_tp1(m)
	% --------------------------------------------------------
	% Rotated Kruisselbrink TP1 Function experiments
	% --------------------------------------------------------
	fitnessfct = @rotated_kruisselbrink_tp1;
	lb = -10 * ones(2,1);
	ub = 10 * ones(2,1);
	delta = 2 * ones(2,1);
	plot_func(fitnessfct, 2, lb, ub, (ub - lb) ./ 40);
	saveas(gcf, 'rotated_kruisselbrink_tp1.png', 'png')
	saveas(gcf, 'rotated_kruisselbrink_tp1.eps', 'eps')
	saveas(gcf, 'rotated_kruisselbrink_tp1.fig', 'fig')
	apr_func = @(X) approx_f_eff(X, fitnessfct, @lhsu, delta, m);
	plot_func(apr_func, 2, lb, ub, (ub - lb) ./ 40);
	saveas(gcf, 'rotated_kruisselbrink_tp1_f_eff.png', 'png')
	saveas(gcf, 'rotated_kruisselbrink_tp1_f_eff.eps', 'eps')
	saveas(gcf, 'rotated_kruisselbrink_tp1_f_eff.fig', 'fig')
end

function [] = plot_kruisselbrink_tp2(m)
	% --------------------------------------------------------
	% Kruisselbrink TP2 Function experiments
	% --------------------------------------------------------
	fitnessfct = @kruisselbrink_tp2;
	lb = -10 * ones(2,1);
	ub = 10 * ones(2,1);
	delta = 2 * ones(2,1);
	plot_func(fitnessfct, 2, lb, ub, (ub - lb) ./ 40);
	saveas(gcf, 'kruisselbrink_tp2.png', 'png')
	saveas(gcf, 'kruisselbrink_tp2.eps', 'eps')
	saveas(gcf, 'kruisselbrink_tp2.fig', 'fig')
	apr_func = @(X) approx_f_eff(X, fitnessfct, @lhsu, delta, m);
	plot_func(apr_func, 2, lb, ub, (ub - lb) ./ 40);
	saveas(gcf, 'kruisselbrink_tp2_f_eff.png', 'png')
	saveas(gcf, 'kruisselbrink_tp2_f_eff.eps', 'eps')
	saveas(gcf, 'kruisselbrink_tp2_f_eff.fig', 'fig')
end

function [] = plot_rotated_kruisselbrink_tp2(m)
	% --------------------------------------------------------
	% Rotated Kruisselbrink TP2 Function experiments
	% --------------------------------------------------------
	fitnessfct = @rotated_kruisselbrink_tp2;
	lb = -10 * ones(2,1);
	ub = 10 * ones(2,1);
	delta = 2 * ones(2,1);
	plot_func(fitnessfct, 2, lb, ub, (ub - lb) ./ 40);
	saveas(gcf, 'rotated_kruisselbrink_tp2.png', 'png')
	saveas(gcf, 'rotated_kruisselbrink_tp2.eps', 'eps')
	saveas(gcf, 'rotated_kruisselbrink_tp2.fig', 'fig')
	apr_func = @(X) approx_f_eff(X, fitnessfct, @lhsu, delta, m);
	plot_func(apr_func, 2, lb, ub, (ub - lb) ./ 40);
	saveas(gcf, 'rotated_kruisselbrink_tp2_f_eff.png', 'png')
	saveas(gcf, 'rotated_kruisselbrink_tp2_f_eff.eps', 'eps')
	saveas(gcf, 'rotated_kruisselbrink_tp2_f_eff.fig', 'fig')
end
