function [xopt, fopt, stat] = run_compare_normal_mahal()
% [xopt, fopt, stat] = run_compare_normal_mahal()
%
%  An example run of the Mahalanobis Kriging based RO method.
%
% Input:
%
%
% Output:
%   xopt           - a vector containing the location of the optimum
%   fopt           - the objective function value of the optimum
%   stat           - a MATLAB struct containing algorithm
%                    specific output statistics
%
% Author: Johannes W. Kruisselbrink
% Last modified: November 20, 2009

	N = 10;
	stopeval = 5000;
	epsilon = -1;

	fitnessfct = @rotated_sphere;
	lb = -10 * ones(N,1);
	ub = 10 * ones(N,1);
	delta = 2 * ones(N,1);

	param.m = 10;
	param.doplot = true;
	param.nb_select = @lhsu_reference_nb_select;
	[xopt, fopt, stat] = ro_cmaes_kriging_compare(fitnessfct, N, lb, ub, delta, stopeval, epsilon, param);
